aboutsummaryrefslogtreecommitdiffstats
path: root/deliveries/src/main/scripts/localize_logback.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deliveries/src/main/scripts/localize_logback.sh')
-rw-r--r--deliveries/src/main/scripts/localize_logback.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/deliveries/src/main/scripts/localize_logback.sh b/deliveries/src/main/scripts/localize_logback.sh
new file mode 100644
index 000000000..43798eb84
--- /dev/null
+++ b/deliveries/src/main/scripts/localize_logback.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+FINAL_CONFIG_FILE=/tmp/vid/stage/WEB-INF/classes/logback.xml
+TEMPLATE_CONFIG_FILE=/tmp/vid/stage/WEB-INF/classes/logback_template.xml
+
+echo "Localizing the VID logback configuration"
+
+mkdir -p "${VID_LOG_DIR}"
+
+sed -e 's/${VID_LOG_LEVEL}/'${VID_LOG_LEVEL}'/g' \
+ -e 's,${VID_LOG_DIR},'${VID_LOG_DIR}',g' ${TEMPLATE_CONFIG_FILE} > ${FINAL_CONFIG_FILE} || {
+ echo "ERROR: Could not process template file ${TEMPLATE_CONFIG_FILE} into ${FINAL_CONFIG_FILE}"
+ exit 3
+ }
+
+echo "Localized ${FINAL_CONFIG_FILE} successfully."